%define upstream_name    Math-Random
%define upstream_version 0.72

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16

Summary:	Random Number Generators
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
*Math::Random* is a *Perl* port of the *C* version of *randlib*, which is a
suite of routines for generating random deviates. See the "RANDLIB" manpage
for more information.

This port supports all of the distributions from which the *Fortran* and
*C* versions generate deviates. The major functionalities that are excluded
are the multiple generators/splitting facility and antithetic random number
generation. These facilities, along with some of the distributions which
_are_ included, are probably not of interest except to the very
sophisticated user. If there is sufficient interest, the excluded
facilities will be included in a future release. The code to perform the
excluded facilities is available as *randlib* in *Fortran* and *C* source.

Default Routines
    The routines which are exported by default are the only ones that the
    average Perl programmer is likely to need.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README README META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.720.0-16.mga10
+ Revision: 2088128
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.720.0-15.mga10
+ Revision: 2010475
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.720.0-14.mga9
+ Revision: 1862135
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.720.0-13.mga9
+ Revision: 1795903
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.720.0-12.mga9
+ Revision: 1726900
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.720.0-11.mga8
+ Revision: 1594926
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.720.0-10.mga8
+ Revision: 1529842
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.720.0-9.mga8
+ Revision: 1433836
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.720.0-8.mga7
+ Revision: 1293454
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.720.0-7.mga7
+ Revision: 1249556
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.720.0-6.mga7
+ Revision: 1165421
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.720.0-5.mga7
+ Revision: 1149082
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.720.0-4.mga7
+ Revision: 1126997
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.720.0-3.mga6
+ Revision: 1029758
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.720.0-2.mga6
+ Revision: 957750
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.720.0-1.mga6
+ Revision: 873539
- update to 0.72

* Fri Jun 26 2015 tv <tv> 0.710.0-13.mga6
+ Revision: 845017
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.710.0-12.mga6
+ Revision: 842337
- rebuild for perl-5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.710.0-11.mga5
+ Revision: 790626
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.710.0-10.mga5
+ Revision: 748249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.710.0-9.mga5
+ Revision: 685375
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.710.0-8.mga5
+ Revision: 631450
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.710.0-7.mga4
+ Revision: 524419
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.710.0-6.mga4
+ Revision: 430886
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.710.0-5.mga3
+ Revision: 369655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.710.0-4.mga3
+ Revision: 250947
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.710.0-3.mga2
+ Revision: 104786
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.710.0-2.mga1
+ Revision: 30815
- mageia rebuild
- imported package perl-Math-Random

